Bug 1014277 - [abrt] Thunar-1.6.3-2.fc20: g_object_ref: Process /usr/bin/thunar was killed by signal 11 (SIGSEGV)
[abrt] Thunar-1.6.3-2.fc20: g_object_ref: Process /usr/bin/thunar was killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:5da9a778c943f4bbe4a0b4022a7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 11:31 EDT by Onuralp SEZER
Modified: 2015-06-29 20:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.53 KB, text/plain)
2013-10-01 11:31 EDT, Onuralp SEZER
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-01 11:31 EDT, Onuralp SEZER
no flags Details
File: core_backtrace (23.13 KB, text/plain)
2013-10-01 11:31 EDT, Onuralp SEZER
no flags Details
File: dso_list (17.47 KB, text/plain)
2013-10-01 11:31 EDT, Onuralp SEZER
no flags Details
File: environ (3.20 KB, text/plain)
2013-10-01 11:31 EDT, Onuralp SEZER
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-01 11:32 EDT, Onuralp SEZER
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 11:32 EDT, Onuralp SEZER
no flags Details
File: maps (85.24 KB, text/plain)
2013-10-01 11:32 EDT, Onuralp SEZER
no flags Details
File: open_fds (265 bytes, text/plain)
2013-10-01 11:32 EDT, Onuralp SEZER
no flags Details
File: proc_pid_status (897 bytes, text/plain)
2013-10-01 11:32 EDT, Onuralp SEZER
no flags Details
File: var_log_messages (2.27 KB, text/plain)
2013-10-01 11:32 EDT, Onuralp SEZER
no flags Details

  None (edit)
Description Onuralp SEZER 2013-10-01 11:31:32 EDT
Description of problem:
I opened thunar in root mode and then I was tried to change some folder permissons and then It's crashed and I tried re-crashed and happen always also when I select multiple file and try to access properties menu on right click menu

Version-Release number of selected component:
Thunar-1.6.3-2.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        thunar
crash_function: g_object_ref
executable:     /usr/bin/thunar
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_object_ref at gobject.c:3057
 #1 thunarx_provider_factory_list_providers at thunarx-provider-factory.c:320
 #2 thunar_window_update_custom_actions at thunar-window.c:3343
 #8 g_object_notify_by_spec_internal at gobject.c:1141
 #9 g_object_notify_by_pspec at gobject.c:1245
 #10 thunar_standard_view_selection_changed at thunar-standard-view.c:4380
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 exo_icon_view_row_changed at exo-icon-view.c:3853
 #19 gtk_tree_model_row_changed at gtktreemodel.c:1505
 #20 thunar_list_model_file_changed at thunar-list-model.c:1117
Comment 1 Onuralp SEZER 2013-10-01 11:31:39 EDT
Created attachment 806044 [details]
File: backtrace
Comment 2 Onuralp SEZER 2013-10-01 11:31:43 EDT
Created attachment 806045 [details]
File: cgroup
Comment 3 Onuralp SEZER 2013-10-01 11:31:48 EDT
Created attachment 806046 [details]
File: core_backtrace
Comment 4 Onuralp SEZER 2013-10-01 11:31:53 EDT
Created attachment 806047 [details]
File: dso_list
Comment 5 Onuralp SEZER 2013-10-01 11:31:59 EDT
Created attachment 806048 [details]
File: environ
Comment 6 Onuralp SEZER 2013-10-01 11:32:03 EDT
Created attachment 806049 [details]
File: exploitable
Comment 7 Onuralp SEZER 2013-10-01 11:32:08 EDT
Created attachment 806050 [details]
File: limits
Comment 8 Onuralp SEZER 2013-10-01 11:32:22 EDT
Created attachment 806051 [details]
File: maps
Comment 9 Onuralp SEZER 2013-10-01 11:32:27 EDT
Created attachment 806052 [details]
File: open_fds
Comment 10 Onuralp SEZER 2013-10-01 11:32:35 EDT
Created attachment 806053 [details]
File: proc_pid_status
Comment 11 Onuralp SEZER 2013-10-01 11:32:45 EDT
Created attachment 806054 [details]
File: var_log_messages
Comment 12 Kevin Fenzi 2013-10-03 14:33:36 EDT
So, this happens every time when you try and change permissions? 

Does it happen when you open the permissions dialog? Or after you make changes?
Comment 13 Onuralp SEZER 2013-10-03 14:44:53 EDT
It happens when I opened Thunar only,
in properties,
and in changing permission,

Randomly happened in that 3
Comment 14 Fedora End Of Life 2015-05-29 05:29:42 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 20:43:15 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.